
Foreman - Bug #33791

Settings defined in settings.yaml do not take precedence in the new DSL

10/27/2021 08:17 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version: 3.1.0   

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8880,

https://github.com/theforeman/foreman/p

ull/8883

  

Description

Related issues:

Related to Foreman - Tracker #29939: Improve setting definition DSL and move ... Closed

Associated revisions

Revision a1c38aa6 - 10/28/2021 06:57 AM - Ondřej Ezr

Fixes #33791 - respect global settings precedence

In the new registry we've forgot to force the global values precedence.

This forces the global values to be respected.

History

#1 - 10/27/2021 08:18 AM - Ondřej Ezr

- Related to Tracker #29939: Improve setting definition DSL and move setting registry to memory added

#2 - 10/27/2021 12:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8880 added

#3 - 10/28/2021 06:57 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#4 - 10/28/2021 07:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|a1c38aa6c7a094b130fbdfe82463a3c4f6d701ba.

#5 - 10/28/2021 07:05 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8883 added
